apiVersion: apps/v1
kind: Deployment
metadata:
  name: bus-booking-system-20260512-094436
  namespace: uat
spec:
  replicas: 1
  selector:
    matchLabels:
      app: bus-booking-system-20260512-094436
  template:
    metadata:
      labels:
        app: bus-booking-system-20260512-094436
    spec:
      containers:
        - name: bus-booking-system-20260512-094436
          image: 917593900241.dkr.ecr.us-west-2.amazonaws.com/bus_booking_system_20260512_094436:uat-latest
          imagePullPolicy: Always
          ports:
            - containerPort: 8000
          envFrom:
            - secretRef:
                name: bus-booking-system-20260512-094436-secrets
                optional: true
          resources:
            requests:
              cpu: 100m
              memory: 256Mi
            limits:
              cpu: 500m
              memory: 512Mi
